Type to search.

Get an AI Index

Base URL
https://{kibana_url}
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Planned We plan to add this functionality in a future Elastic Stack update. Subject to changes. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Fetches an AI Index by ID from the current space, including the ES|QL query derived from each trace.

Returns a 404 response when Context Engine is turned off in this space (contextEngine:enabled).

For more information, refer to the Context Engine documentation.

Required privileges

Privileges contextEngine:read

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

aiIndexId string · min length: 1 · max length: 256 required

The unique identifier of the AI Index.

Responses

The requested AI Index.

application/json
automations object[] required

Automations associated with the AI Index.

type enum required
Values: workflow
value string required

The workflow ID.

date_created string required

ISO 8601 timestamp of when the AI Index was created.

date_modified string required

ISO 8601 timestamp of when the AI Index was last modified.

description string

Human-readable description of the AI Index.

dest object required

The data stream or index that backs the AI Index.

type enum required

The type of the backing store.

Values: data_stream index
value string required

The data stream or index the AI Index is attached to.

id string required

The unique identifier of the AI Index.

managed boolean required

Whether the AI Index is managed by a plugin and therefore immutable.

memory_enabled boolean required

Whether this AI Index accepts memory writes.

sources object[] required

Additional sources that provide context for the AI Index.

type enum required

esql for an ES|QL query, or connector for a data connector.

Values: esql connector
value string required

An ES|QL query for esql, or a connector ID for connector.

traces object[] required

Trace sources linked to this AI Index, each with its derived ES|QL query.

query string required

The ES|QL query derived from this trace source at read time.

type enum required

elastic_agent for an Agent Builder agent, index for an index or data stream name or pattern, or esql for an ES|QL query.

Values: elastic_agent index esql
value string required

The trace source value.